System 2.0.0.0 4.0.0.0 System.Object

This class provides access to configuration and address information for network interfaces that support IPv6. You do not create instances of this class; they are returned by the method.

For IPV4 properties, see .

Provides information about network interfaces that support Internet Protocol version 6 (IPv6).

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor can be called only by classes that derive from .

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  If the value of this property is zero, IPv6 is not supported by this interface.

  Gets the index of the network interface associated with an Internet Protocol version 6 (IPv6) address.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The MTU of a network interface is the largest packet that can be transmitted. It is measured in octets (8-bit bytes).

  Gets the maximum transmission unit (MTU) for this network interface.